com.tibbo.aggregate.common.util

## Class DistributedConstants

- java.lang.Object
- - com.tibbo.aggregate.common.util.DistributedConstants

-     public class DistributedConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONNECTION_TYPE_INCOMING`
    `static int` | `CONNECTION_TYPE_OUTGOING`
    `static java.lang.String` | `DISTRIBUTED_CONNECTION_ADDRESS`
    `static java.lang.String` | `DISTRIBUTED_CONNECTION_ENABLED`
    `static java.lang.String` | `DISTRIBUTED_CONNECTION_MOUNT_POINTS`
    `static java.lang.String` | `DISTRIBUTED_CONNECTION_NAME`
    `static java.lang.String` | `DISTRIBUTED_CONNECTION_PASSWORD`
    `static java.lang.String` | `DISTRIBUTED_CONNECTION_PORT`
    `static java.lang.String` | `DISTRIBUTED_CONNECTION_TYPE`
    `static java.lang.String` | `DISTRIBUTED_CONNECTION_USERNAME`
    `static int` | `LOCATION_LOCAL`
    `static int` | `LOCATION_REMOTE`
    `static java.lang.String` | `PLUGIN_ID`
    `static java.lang.String` | `V_PROVIDERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOCATION_LOCAL

          public static final int LOCATION_LOCAL

      See Also:
        Constant Field Values

    - #### LOCATION_REMOTE

          public static final int LOCATION_REMOTE

      See Also:
        Constant Field Values

    - #### PLUGIN_ID

          public static final java.lang.String PLUGIN_ID

      See Also:
        Constant Field Values

    - #### V_PROVIDERS

          public static final java.lang.String V_PROVIDERS

      See Also:
        Constant Field Values

    - #### CONNECTION_TYPE_INCOMING

          public static final int CONNECTION_TYPE_INCOMING

      See Also:
        Constant Field Values

    - #### CONNECTION_TYPE_OUTGOING

          public static final int CONNECTION_TYPE_OUTGOING

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_CONNECTION_NAME

          public static final java.lang.String DISTRIBUTED_CONNECTION_NAME

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_CONNECTION_TYPE

          public static final java.lang.String DISTRIBUTED_CONNECTION_TYPE

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_CONNECTION_ADDRESS

          public static final java.lang.String DISTRIBUTED_CONNECTION_ADDRESS

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_CONNECTION_PORT

          public static final java.lang.String DISTRIBUTED_CONNECTION_PORT

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_CONNECTION_USERNAME

          public static final java.lang.String DISTRIBUTED_CONNECTION_USERNAME

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_CONNECTION_PASSWORD

          public static final java.lang.String DISTRIBUTED_CONNECTION_PASSWORD

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_CONNECTION_MOUNT_POINTS

          public static final java.lang.String DISTRIBUTED_CONNECTION_MOUNT_POINTS

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_CONNECTION_ENABLED

          public static final java.lang.String DISTRIBUTED_CONNECTION_ENABLED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DistributedConstants

          public DistributedConstants()